%{?nodejs_find_provides_and_requires}

Name:       nodejs-minimatch
Version:        3.0.0
Release:    %mkrel 2
Summary:    JavaScript glob matcher
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/minimatch
Source0:    https://github.com/isaacs/minimatch/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:     6944abf9e0694bd22fd9dad293faa40c2bc8a955.patch   
BuildArch:  noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(brace-expansion)

%description
Converts glob expressions to JavaScript "RegExp" objects.

%prep
%autosetup -n minimatch-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimatch
cp -p package.json minimatch.js %{buildroot}%{nodejs_sitelib}/minimatch
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap test/*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/minimatch



%changelog
* Tue Feb 21 2017 neoclust <neoclust> 3.0.0-2.mga6
+ Revision: 1087281
- Add P0 to fix CVE-2016-1000023

* Sun May 22 2016 tv <tv> 3.0.0-1.mga6
+ Revision: 1017738
- new release

* Mon Feb 08 2016 umeabot <umeabot> 0.2.12-2.mga6
+ Revision: 950282
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.2.12-1.mga5
+ Revision: 793669
- imported package nodejs-minimatch


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 0.2.12-1.mga5
- import from FC

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.12-1
- update to upstream release 0.2.12

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.11-2
- add macro for EPEL6 dependency generation

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.11-1
- new upstream release 0.2.11

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.9-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.9-1
- new upstream release 0.2.9
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.4-2
- guard Requires for F17 automatic depedency generation

* Thu Mar 29 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.4-1
- New upstream release 0.2.4

* Thu Mar 29 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-2
- New upstream release 0.2.4

* Thu Mar 22 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-1
- new upstream release 0.2.2

* Sat Feb 25 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-1
- new upstream release 0.2.0

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-2
- add Group to make EL5 happy

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- initial package
